<?XML Version="1.0" ?>

<!-- Please read the configuration section of the manual -->
<!-- before adding any new entries to this file.         -->


<!-- S Y S T E M -->
<Var ProcessorCount="0"/>
<Var TCPSendBufferSize="32768"/>
<Var UDPSendBufferSize="16384"/>

<!-- P A T H S -->
<Var LogPath="D:\下载\HelixServerp\HelixServer\Logs\rmaccess.log"/>
<Var ErrorLogPath="D:\下载\HelixServerp\HelixServer\Logs\rmerror.log"/>
<Var PidPath="D:\下载\HelixServerp\HelixServer\Logs\rmserver.pid"/>
<Var PluginDirectory="D:\下载\HelixServerp\HelixServer\Plugins"/>
<Var SupportPluginDirectory="D:\下载\HelixServerp\HelixServer\Lib"/>
<Var LicenseDirectory="D:\下载\HelixServerp\HelixServer\License"/>

<!-- P O R T S -->
<!--UNIX customers must have root privileges to execute the server  -->
<!--with the RTSP port set to 554.                                  -->
<!--The following are the default ports that RealPlayer and         -->
<!--RealPlayer Plus clients will connect to for an URL that has     -->
<!--no port specified:                                              -->
<!--  RTSP:  554                                                    -->
<!--  PNM:   7070                                                   -->
<!--  HTTP:  80 (...then 8080 if 80 is unavailable)                 -->
<!--  MMS:   1755                                                   -->
<Var RTSPPort="554"/>
<Var PNAPort="7070"/>
<Var HTTPPort="8080"/>
<Var MMSPort="1755"/>
<Var MonitorPort="9090"/>
<Var AdminPort="24680"/>

<!-- P A S S W O R D S -->
<Var MonitorPassword="admin"/>

<!-- A L L O W A N C E -->
<Var EnableCookieBasedIDs="True"/>

<!-- L O G G I N G -->
<Var LoggingStyle="5"/>
<Var StatsMask="3"/>
<Var StatsInterval="0"/>

<!-- L I V E  A R C H I V I N G -->
<List Name="LiveArchive">
    <List Name="*">
        <Var TargetDirectory="/Archive/"/>
        <Var BandwidthNegotiation="True"/>
        <Var FileSize="0"/>
        <Var FileTime="0m0h0d"/>
        <Var NoArchive="True"/>
    </List>
</List>

<!-- H T T P  S U P P O R T -->
<List Name="HTTPDeliverable">
    <Var Path_0="/admin"/>
    <Var Path_1="/ramgen"/>
    <Var Path_2="/httpfs"/>
    <Var Path_3="/viewsource"/>
    <Var Path_4="/encfs"/>
    <Var Path_5="/asxgen"/>
    <Var Path_6="/nscfile"/>
</List>

<List Name="HTTPPostable">
    <!-- <Var Path_0="/scalable"/> -->
    <Var Path_0="/encfs"/>
    <Var Path_1="/admin"/>
</List>

<!-- M I M E  T Y P E S -->
<List Name="MimeTypes">
    <List Name="text/html">
        <Var Ext_1="html"/>
        <Var Ext_2="htm"/>
    </List>
    <List Name="text/plain">
        <Var Ext_1="txt"/>
    </List>
    <List Name="audio/x-pn-realaudio">
        <Var Ext_1="ram"/>
    </List>
    <List Name="image/gif">
        <Var Ext_1="gif"/>
    </List>
    <List Name="image/jpg">
        <Var Ext_1="jpg"/>
        <Var Ext_2="jpeg"/>
    </List>
    <List Name="video/quicktime">
        <Var Ext_1="mov"/>
    </List>
</List>

<!-- A U T H E N T I C A T I O N -->
<List Name="AuthenticationRealms">
    <List Name="SecureAdmin">
        <Var Realm="Win10-2021DPOOZ.AdminRealm"/>
        <List Name="BasicAuthenticator">
            <Var PluginID="rn-auth-basic"/>
            <Var DatabaseID="Admin_Basic"/>
        </List>
    </List>
    <List Name="SecureCDist">
        <Var Realm="Win10-2021DPOOZ.CDistRealm"/>
        <List Name="BasicAuthenticator">
            <Var PluginID="rn-auth-basic"/>
            <Var DatabaseID="CDist_Basic"/>
        </List>
    </List>
    <List Name="SecureEncoder">
        <Var Realm="Win10-2021DPOOZ.EncoderRealm"/>
        <List Name="RN5Authenticator">
            <Var PluginID="rn-auth-rn5"/>
            <Var DatabaseID="Encoder_RN5"/>
        </List>
    </List>
    <List Name="SecureRBSEncoder">
        <Var Realm="Win10-2021DPOOZ.RBSEncoderRealm"/>
        <List Name="BasicAuthenticator">
            <Var PluginID="rn-auth-basic"/>
            <Var DatabaseID="Encoder_Basic"/>
        </List>
    </List>
    <List Name="SecureContent"> <!-- Commerce Server -->
        <Var Realm="Win10-2021DPOOZ.ContentRealm"/>
        <List Name="RN5Authenticator">
            <Var PluginID="rn-auth-rn5"/>
            <Var DatabaseID="Content_RN5"/>
        </List>
    </List>
</List>

<!-- C O M M E R C E -->
<!-- This section requires a Commerce license -->
<List Name="CommerceRules">
    <List Name="SecureUserContent">
        <Var ProtectedVirtualPath="/secure"/>
        <Var Realm="Win10-2021DPOOZ.ContentRealm"/>
        <Var UseGUIDValidation="False"/>
        <Var EvaluatePermissions="True"/>
        <Var DatabaseID="Content_RN5"/>
        <Var AllowDuplicateIDs="False"/>
    </List>
    <List Name="SecureLiveContent">
        <Var ProtectedVirtualPath="/broadcast/secure"/>
        <Var Realm="Win10-2021DPOOZ.ContentRealm"/>
        <Var UseGUIDValidation="False"/>
        <Var EvaluatePermissions="True"/>
        <Var DatabaseID="Content_RN5"/>
        <Var AllowDuplicateIDs="False"/>
    </List>
    <List Name="SecureG2LiveContent">
        <Var ProtectedVirtualPath="/encoder/secure"/>
        <Var Realm="Win10-2021DPOOZ.ContentRealm"/>
        <Var UseGUIDValidation="False"/>
        <Var EvaluatePermissions="True"/>
        <Var DatabaseID="Content_RN5"/>
        <Var AllowDuplicateIDs="False"/>
    </List>
    <List Name="SecurePreG2LiveContent">
        <Var ProtectedVirtualPath="/live/secure"/>
        <Var Realm="Win10-2021DPOOZ.ContentRealm"/>
        <Var UseGUIDValidation="False"/>
        <Var EvaluatePermissions="True"/>
        <Var DatabaseID="Content_RN5"/>
        <Var AllowDuplicateIDs="False"/>
    </List>
    <List Name="SecurePlayerContent">
        <Var ProtectedVirtualPath="/secure/player"/>
        <Var UseGUIDValidation="True"/>
        <Var EvaluatePermissions="True"/>
        <Var DatabaseID="PlayerContent"/>
        <Var AllowDuplicateIDs="False"/>
    </List>
</List>

<!-- P L A Y E R   G U I D   R E G I S T R A T I O N  D A T A B A S E S -->
<!-- This section requires a Commerce license -->
<List Name="GUIDRegistrationPrefixes">
    <List Name="PlayerContentRegistration">
        <Var GUIDRegistrationPrefix="register"/>
        <Var DatabaseID="PlayerContent"/>
    </List>
</List>

<!-- D A T A B A S E S -->
<List Name="Databases">
    <List Name="Admin_Basic">
        <Var PluginID="rn-db-flatfile"/>
        <Var Path="D:\下载\HelixServerp\HelixServer\adm_b_db"/>
    </List>
    <List Name="CDist_Basic">
        <Var PluginID="rn-db-flatfile"/>
        <Var Path="D:\下载\HelixServerp\HelixServer\cdi_b_db"/>
    </List>
    <List Name="Encoder_RN5">
        <Var PluginID="rn-db-flatfile"/>
        <Var Path="D:\下载\HelixServerp\HelixServer\enc_r_db"/>
    </List>
    <List Name="Encoder_Basic">
        <Var PluginID="rn-db-flatfile"/>
        <Var Path="D:\下载\HelixServerp\HelixServer\enc_b_db"/>
    </List>
    <List Name="Content_RN5">
        <!-- This section requires a Commerce license -->
        <Var PluginID="rn-db-flatfile"/>
        <Var Path="D:\下载\HelixServerp\HelixServer\con_r_db"/>
    </List>
    <List Name="PlayerContent">
        <!-- This section requires a Commerce license -->
        <Var PluginID="rn-db-flatfile"/>
        <Var Path="D:\下载\HelixServerp\HelixServer\con_p_db"/>
    </List>

</List>

<!-- V I E W  S O U R C E -->
<List Name="ViewSourceConfiguration">
    <Var ViewSourceLongName="View Source Tag FileSystem"/>
    <List Name="/">
        <Var AllowViewSource="1"/>
        <Var HidePaths="1"/>
    </List>
</List>
<!-- C O N T E N T  B R O W S I N G -->
<List Name="ContentBrowsing">
    <List Name="BrowsableMountPoints">
        <Var Mount_1="/"/>
    </List>
    <List Name="IndexExtensions">
        <Var Ext_1="*"/>
    </List>
</List>
<!--            F I L E  S Y S T E M S          -->
<!--            ======================          -->
<List Name="FSMount">
    <!-- Local File System; Media -->
    <List Name="RealSystem Content">
        <Var ShortName="pn-local"/>
        <Var MountPoint="/"/>
        <Var BasePath="D:\下载\HelixServerp\HelixServer\Content"/>
        <Var UseContentDistribution="1"/>
    </List>
    <!-- Local File System; Secure Media -->
    <!-- This section requires a Commerce license -->
    <List Name="RealSystem Secure Content">
        <Var ShortName="pn-local"/>
        <Var MountPoint="/secure/"/>
        <Var BasePath="D:\下载\HelixServerp\HelixServer\Secure"/>
    </List>
    <!-- Local File System; HTML -->
    <List Name="RealSystem Administrator HTML">
        <Var ShortName="pn-local"/>
        <Var MountPoint="/admin/html/"/>
        <Var BasePath="D:\下载\HelixServerp\HelixServer\HelixAdministrator"/>
    </List>
    <!-- Local File System; DOCS -->
    <List Name="RealSystem Administrator DOCS">
        <Var ShortName="pn-local"/>
        <Var MountPoint="/admin/Docs/"/>
        <Var BasePath="D:\下载\HelixServerp\HelixServer\HelixAdministrator\Docs"/>
    </List>
    <!-- Local File System; IMAGES -->
    <List Name="RealSystem Administrator IMAGES">
        <Var ShortName="pn-local"/>
        <Var MountPoint="/admin/images/"/>
        <Var BasePath="D:\下载\HelixServerp\HelixServer\HelixAdministrator\images"/>
    </List>
    <!-- Local File System; JAVAMONITOR -->
    <List Name="RealSystem Administrator JAVAMONITOR">
        <Var ShortName="pn-local"/>
        <Var MountPoint="/admin/JavaMonitor/"/>
        <Var BasePath="D:\下载\HelixServerp\HelixServer\HelixAdministrator\JavaMonitor"/>
    </List>
    <!-- XML Tag Handler File System -->
    <List Name="Real System Administrator SSI">
        <Var ShortName="pn-xmltag"/>
        <Var MountPoint="/admin/includes/"/>
        <Var BaseMountPoint="/admin/html/"/>
        <List Name="TagHandlers">
            <Var h1="pn-includer"/>
            <Var h2="pn-vsrctaghdlr"/>
        </List>
    </List>
    <!-- Admin File System -->
    <List Name="RealSystem Administrator Files">
        <Var ShortName="pn-admin"/>
        <Var MountPoint="/admin/"/>
        <Var BaseMountPoint="/admin/includes/"/>
        <Var Realm="Win10-2021DPOOZ.AdminRealm"/>
    </List>
    <!-- G2 Encoders -->
    <List Name="RealSystem G2 Encoders">
        <Var ShortName="pn-encoder"/>
        <Var MountPoint="/encoder/"/>
        <Var Port="4040"/>
        <Var EncoderRealm="Win10-2021DPOOZ.EncoderRealm"/>
    </List>
    <!-- Pre-G2 Encoders -->
    <List Name="Pre-RealSystem G2 Encoders">
        <Var ShortName="pn-live3"/>
        <Var MountPoint="/live/"/>
        <Var Port="5050"/>
        <!-- Var Password="admin"/ -->
    </List>
    <!-- QuickTime Encoders -->
    <List Name="QuickTime Encoders">
        <Var ShortName="pn-qtencoder"/>
        <Var MountPoint="/qtencoder/"/>
        <Var BaseMountPoint="/qtencodersdp/"/>
        <Var ConnectionTimeout="10"/>
        <Var RTPBYETimeout="10"/>
        <Var EmulateEncoderModel="0"/>
        <Var DirectoryScanInterval="5"/>
    </List>
    <List Name="RTP Encoders">
        <Var ShortName="pn-qtencoder"/>
        <Var MountPoint="/rtpencoder/"/>
        <Var BaseMountPoint="/rtpencodersdp/"/>
        <Var ConnectionTimeout="10"/>
        <Var RTPBYETimeout="10"/>
        <Var EmulateEncoderModel="0"/>
        <Var DirectoryScanInterval="5"/>
    </List>
    <!-- RAM File Generator -->
    <List Name="RAM File Generator">
        <Var ShortName="pn-ramgen"/>
        <Var MountPoint="/ramgen/"/>
    </List>
    <!-- View Source File system -->
    <List Name="View Source File System">
        <Var ShortName="pn-vsrcfsys"/>
        <Var MountPoint="/vsrcfsys/"/>
    </List>
    <!-- View Source Tag File System; Source Insertion -->
    <List Name="View Source Tag FileSystem">
        <Var ShortName="pn-xmltag"/>
        <Var MountPoint="/viewsource/"/>
        <Var BaseMountPoint="/vsrcfsys/"/>
        <List Name="TagHandlers">
            <List Name="ViewSource Tag Handler">
                <Var ShortName="pn-vsrctaghdlr"/>
            </List>
        </List>
    </List>
    <!-- General Ad Insertion -->
    <List Name="General Ad Insertion">
        <Var ShortName="pn-xmltag"/>
        <Var MountPoint="/adtag/general/"/>
        <Var BaseMountPoint="/"/>
        <List Name="TagHandlers">
            <List Name="Ad Tag Replacement Plugin">
                <Var ShortName="rn-adtaghandler"/>
                <Var AdRetrievalMountPoint="/httpfs/"/>
                <Var AdPlaybackMountPoint="/httpfs/"/>
                <Var AdURL="http://www.real.com/ads/g2ads_def.html"/>
                <Var Rotate="False"/>
                <Var Bitrate="4000"/>
                <Var Interval="30"/>
                <Var RotationMountPoint="/shellfs/"/>
            </List>
        </List>
    </List>
    <!-- Banner Ad SMIL Generation -->
    <List Name="Banner Ad SMIL Generation">
        <Var ShortName="pn-smilgen"/>
        <Var MountPoint="/smilgen/banner/"/>
        <Var BaseMountPoint="/"/>
        <Var Layout="AdBottom"/>
        <Var OuterPadding="5"/>
        <Var InnerPadding="5"/>
        <Var BGColor="black"/>
        <Var AdType="Banner"/>
        <Var EnablePlaylist="False"/>
        <Var AdWidth="468"/>
        <Var AdHeight="60"/>
    </List>
    <!-- Lead-in Ad SMIL Generation -->
    <List Name="Lead-in Ad SMIL Generation">
        <Var ShortName="pn-smilgen"/>
        <Var MountPoint="/smilgen/leadin/"/>
        <Var BaseMountPoint="/"/>
        <Var Layout="AdCenter"/>
        <Var OuterPadding="5"/>
        <Var InnerPadding="5"/>
        <Var BGColor="black"/>
        <Var AdType="Leadin"/>
        <Var EnablePlaylist="False"/>
        <Var AdWidth="468"/>
        <Var AdHeight="60"/>
    </List>
    <!-- Continuous Rotating Banner Ad SMIL Generation -->
    <List Name="Continuous Rotating Banner Ad SMIL Generation">
        <Var ShortName="pn-smilgen"/>
        <Var MountPoint="/smilgen/rbanner/"/>
        <Var BaseMountPoint="/"/>
        <Var Layout="AdBottom"/>
        <Var OuterPadding="5"/>
        <Var InnerPadding="5"/>
        <Var BGColor="black"/>
        <Var AdType="RotatingBanner"/>
        <Var EnablePlaylist="False"/>
        <Var AdWidth="468"/>
        <Var AdHeight="60"/>
    </List>
    <!-- HTTP File System -->
    <List Name="HTTP File System">
        <Var ShortName="pn-http"/>
        <Var MountPoint="/httpfs/"/>
        <Var ConnectionTimeout="10"/>
        <Var ServerTimeout="10"/>
        <Var MangleCookies="True"/>
    </List>
    <!-- Shell File System -->
    <List Name="RealSystem Shell File System">
        <Var ShortName="pn-shell"/>
        <Var MountPoint="/shellfs/"/>
        <Var AdRetrievalMountPoint="/httpfs/"/>
        <Var AdPlaybackMountPoint="/httpfs/"/>
    </List>
    <!-- Broadcast Redundancy File System -->
    <List Name="RealSystem Broadcast Redundancy">
        <Var MountPoint="/redundant/"/>
        <Var ShortName="pn-redundant"/>
    </List>
    <!-- Broadcast Distribution -->
    <List Name="RealSystem Broadcast Distribution">
        <Var ShortName="pn-broadcast-receiver-fs"/>
        <Var MountPoint="/broadcast/"/>
    </List>
    <!-- Media Import File System -->
    <List Name="RealSystem Cache Filesystem">
        <Var ShortName="pn-mii-mgr"/>
        <Var MountPoint="/cachemgr/"/>
        <Var CacheShortName="rn-cache"/>
        <Var EntireFileKBPSLimit="0"/>
    </List>
    <!-- Local File System; Media Import Cache -->
    <List Name="RNCache Local File System">
        <Var ShortName="pn-local"/>
        <Var MountPoint="/fsforcache/"/>
        <Var BasePath="D:\下载\HelixServerp\HelixServer\Cache"/>
    </List>
    <!-- RBS Authentication File System -->
    <List Name="Encoder Admin File System">
        <Var ShortName="rn-encfs"/>
        <Var MountPoint="/encfs/"/>
        <Var PortRange="50001-50050"/>
        <Var Realm="Win10-2021DPOOZ.RBSEncoderRealm"/>
    </List>
    <!-- ASX File Generator -->
    <List Name="ASX File Generator">
        <Var ShortName="pn-asxgen"/>
        <Var MountPoint="/asxgen/"/>
        <Var HaveAltHTTPURL="0"/>
    </List>
    <!-- Windows Media Live Broadcast Source -->
    <List Name="Windows Media Live Broadcast Source">
        <Var MountPoint="/wmtencoder/"/>
        <Var ShortName="pn-wmtencoder"/>
    </List>
</List>

<!-- C A C H I N G -->
<Var TSPort="7802"/>
<Var TSEnable="1"/>
<Var TSLog="1"/>
<Var TSLogPath="D:\下载\HelixServerp\HelixServer\Logs\cache.log"/>

<!-- M U L T I C A S T -->
<List Name="Multicast">
    <List Name="ControlList">
        <List Name="100">
            <Var Allow="Any"/>
            <Var Description="Allow all connections"/>
        </List>
    </List>
</List>

<!-- Windows Media Multicast -->
<List Name="Windows Media Multicast">
    <Var NSCFilePath="D:\下载\HelixServerp\HelixServer\Content\nscfile"/>
    <List Name="Channels">
    </List>
</List>

<!-- Broadcast Redundancy -->
<List Name="RealSystem Broadcast Redundancy Plugin">
    <Var Enabled="1"/>
    <Var SeparatorCharacter="."/>
    <Var LiveSourceTimeout="5"/>
    <Var Reconnect="Auto"/>
    <Var ErrorMessage="Broadcast timed out; click Play button to restart."/>
</List>
<!-- B R O A D C A S T  D I S T R I B U T I O N -->
<!--          T R A N S M I T T E R             -->
<List Name="BroadcastDistribution">
     <Var SourceName="Win10-2021DPOOZ"/>
</List>
<!--              R E C E I V E R               -->
<List Name="BroadcastReceiver">
     <List Name="Receivers">
     </List>
</List>
<!-- M E D I A   E X P O R T   I N T E R F A C E -->
<List Name="MediaExportInterface">
    <Var ContentPublisher="1"/>
    <Var AuthenticationRealm="Win10-2021DPOOZ.CDistRealm"/>
</List>
<!--    M E D I A   C A C H E    -->
<List Name="RNCache">
    <Var Enabled="1"/>
    <Var MaxCacheSizeMB="1000"/>
    <Var CacheMountPoint="/fsforcache/"/>
</List>
<!--   C O N T E N T   S U B S C R I P T I O N  -->
<List Name="ContentSubscription">
    <Var Enabled="0"/>
    <Var StatisticAggregationPeriodSec="10"/>
    <List Name="Rules">
    </List>
    <List Name="Publishers">
    </List>
</List>

<!--   A C C E S S   C O N T R O L  -->
<List Name="AccessControl">
    <List Name="100">
        <Var Description="Allow all localhost connections (do not edit)"/>
        <Var Access="Allow"/>
        <Var From="localhost"/>
        <Var To="any"/>
        <List Name="Ports">
            <Var Port_1="any"/>
        </List>
    </List>
    <List Name="200">
        <Var Description="Allow all other connections"/>
        <Var Access="Allow"/>
        <Var From="any"/>
        <Var To="any"/>
        <List Name="Ports">
            <Var Port_1="any"/>
        </List>
    </List>
</List>

<!--   T E M P L A T I Z E D   L O G G I N G   -->
<List Name="LoggingTemplates">
    <List Name="Server Stats">
        <Var Enabled="0"/>
        <Var Format=
"Server Stats (%date% %time%)
\tUptime: %Server.Uptime% seconds
\tCPU Percent Usage: %Server.PercentCPUUsage%
\tPlayers Connected: %Server.ClientCount%
\tPlayers Connected in the Last 10 Seconds: %Server.Last10SecondsNewClients%
\tPlayers Connected by Protocol: %Server.PNAClientCount% PNA, %Server.RTSPClientCount% RTSP, %Server.MMSClientCount% MMS, %Server.HTTPClientCount% HTTP (%Server.CloakedClientCount% Cloaked)
\tPlayers Connected by Transport: %Server.TCPTransportCount% TCP, %Server.UDPTransportCount% UDP, %Server.MulticastTransportCount% MCast
\tTotal Subscribed Bandwidth Output: %Server.BandwidthUsage% bps
\tTotal Actual Bandwidth Output: %Server.BandwidthOutput% bps
\tAverage Bandwidth Output Per Player: %Server.BandwidthOutputPerPlayer% bps
\tMemory Stats: %Server.BytesInUse% Bytes In Use\n\n"/>
        <Var Interval="00:01:00"/>
        <List Name="Outputs">
            <List Name="StdOut1">
                <Var Type="StdOut"/>
            </List>
        </List>
        <Var Type="Interval"/>
        <Var Description="This template is designed to output Helix Server statistics including player connections, CPU usage, etc."/>
    </List>
    <List Name="Errors">
        <Var Enabled="0"/>
        <Var Format="%date% %time% %Server.Errors.LastErr%"/>
        <List Name="Outputs">
            <List Name="StdOut1">
                <Var Type="StdOut"/>
            </List>
        </List>
        <Var Type="Watch"/>
        <List Name="Watches">
            <Var Watch_1="Server.Errors.LastErr"/>
        </List>
        <Var Description="This template is designed to output all errors that occur within Helix Server along with the date and time each error occured."/>
    </List>
    <List Name="Extended Logging">
        <Var DelFormat="%time% %Client.*.Addr% %Client.*.Protocol% GET %Client.*.Session.*.URL% %Client.*.User-Agent%\n"/>
        <Var Enabled="0"/>
        <List Name="Outputs">
            <List Name="StdOut1">
                <Var Type="StdOut"/>
            </List>
        </List>
        <Var Type="Session"/>
        <Var WatchRoot="Client.*.Session.*"/>
        <Var Description="This template is designed to report player access information and will output each time a player disconnects. It is based on the W3C Extended Logging draft."/>
    </List>
</List>

<!-- R E D U N D A N T   S E R V E R S -->
<List Name="ServerAlternates">
    <List Name="Alternates">
    </List>
    <List Name="RedirectRules">
    </List>
    <List Name="ExcludePaths">
    </List>
</List>

